# Uses of Class
org.eclipse.birt.core.archive.compound.ArchiveEntry

Packages that use ArchiveEntry
Package
Description
org.eclipse.birt.core.archive
org.eclipse.birt.core.archive.compound

## Uses of ArchiveEntry in org.eclipse.birt.core.archive

Subclasses of ArchiveEntry in org.eclipse.birt.core.archive
Modifier and Type
Class
Description
`class`
`FolderArchiveEntry`
Methods in org.eclipse.birt.core.archive that return ArchiveEntry
Modifier and Type
Method
Description
`ArchiveEntry`
FolderArchiveFile.`createEntry(String name)`
`ArchiveEntry`
FolderArchiveFile.`openEntry(String name)`

## Uses of ArchiveEntry in org.eclipse.birt.core.archive.compound

Subclasses of ArchiveEntry in org.eclipse.birt.core.archive.compound
Modifier and Type
Class
Description
`class`
`ArchiveEntryAdapter`
`class`
`ArchiveEntryV3`
Fields in org.eclipse.birt.core.archive.compound declared as ArchiveEntry
Modifier and Type
Field
Description
`protected ArchiveEntry`
ArchiveEntryAdapter.`entry`
`protected ArchiveEntry`
ArchiveEntryOutputStream.`entry`
the stream item
Methods in org.eclipse.birt.core.archive.compound that return ArchiveEntry
Modifier and Type
Method
Description
`ArchiveEntry`
ArchiveFile.`createEntry(String name)`
`ArchiveEntry`
ArchiveFileV1.`createEntry(String name)`
`ArchiveEntry`
ArchiveFileV2.`createEntry(String name)`
`ArchiveEntry`
ArchiveFileV3.`createEntry(String name)`
`ArchiveEntry`
ArchiveView.`createEntry(String name)`
`ArchiveEntry`
IArchiveFile.`createEntry(String name)`
`ArchiveEntry`
ArchiveFile.`openEntry(String name)`
`ArchiveEntry`
ArchiveFileV1.`openEntry(String name)`
`ArchiveEntry`
ArchiveFileV2.`openEntry(String name)`
`ArchiveEntry`
ArchiveFileV3.`openEntry(String name)`
`ArchiveEntry`
ArchiveView.`openEntry(String name)`
`ArchiveEntry`
IArchiveFile.`openEntry(String name)`
Constructors in org.eclipse.birt.core.archive.compound with parameters of type ArchiveEntry
Modifier
Constructor
Description
``
`ArchiveEntryAdapter(String name, ArchiveEntry entry)`